# Method: albums.share

- [HTTP request](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.request_body)
  - [JSON representation](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.response_body)
  - [JSON representation](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.ShareAlbumResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#body.aspect)
- [Try it!](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/share#try-it)

Marks an album as shared and accessible to other users. This action can only be performed on albums which were created by the developer via the API.

### HTTP request

`POST https://photoslibrary.googleapis.com/v1/albums/{albumId}:share`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `albumId` | `string` Required. Identifier of the album to be shared. This `albumId` must belong to an album created by the developer. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sharedAlbumOptions": { object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album.SharedAlbumOptions`) } } ``` |

| Fields ||
|---|---|
| `sharedAlbumOptions` | ``object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album.SharedAlbumOptions`)`` Options to be set when converting the album to a shared album. |

### Response body

Response to successfully sharing an album.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "shareInfo": { object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album.ShareInfo`) } } ``` |

| Fields ||
|---|---|
| `shareInfo` | ``object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album.ShareInfo`)`` Output only. Information about the shared album. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/photoslibrary.sharing`